#ifndef MIDI_UTILS_H
#define MIDI_UTILS_H

#include <stdio.h>
#include <string.h>

#define MIDI_MESSAGE_NOTEON 0x90u
#define MIDI_MESSAGE_NOTEOFF 0x80u

#define MIDI_CC_SUSTAIN 0x40u
#define MIDI_CC_SOSTENUTO 0x42u
#define MIDI_CC_UNACORDA 0x43u

#if defined __cplusplus
extern "C" {
#endif

char *MIDI_GetNoteName(unsigned char);

unsigned char MIDI_GetNoteFromName(const char *);

#if defined __cplusplus
}
#endif

#endif
